ONEC_SUM(3)

NAME
oneC_sum - One's complement internet checksum

SYNOPSIS
#define _MINIX_SOURCE 1
#include <stddef.h>
#include <sys/types.h>
#include <net/gen/oneCsum.h>
u16_t oneC_sum(u16_t prev, void *data, size_t size)

DESCRIPTION
OneC_sum is used to calculate the one's complement checksum needed for IP network packets. A good document about the Internet Checksum is RFC-1071 (Computing the Internet checksum).

OneC_sum expects three parameters:

prev
    The checksum of previous blocks of data that are to be included in the checksum. The value of prev in first call to oneC_sum should be 0.

data
    A pointer to the block of data. The data is interpreted as a series of 16 bit numbers in network byte order, but an odd number of bytes is also allowed.

size
    The size of the data in bytes.

SEE ALSO
ip(4).
RFC-1071

AUTHOR
Philip Homburg (philip@cs.vu.nl)